# eric7.UI.ClearPrivateDataDialog

Module implementing a dialog to select which private data to clear.

### Global Attributes

None

### Classes

ClearPrivateDataDialog | Class implementing a dialog to select which private data to clear.

### Functions

None

## ClearPrivateDataDialog

Class implementing a dialog to select which private data to clear.

### Derived from

QDialog, Ui_ClearPrivateDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

ClearPrivateDataDialog | Constructor
getData | Public method to get the data from the dialog.

### Static Methods

None

#### ClearPrivateDataDialog (Constructor)

ClearPrivateDataDialog(parent=None)

Constructor

parent (QWidget)
  reference to the parent widget

#### ClearPrivateDataDialog.getData

getData()

Public method to get the data from the dialog.

Return:
  flags indicating which data to clear (recent files, recent projects, recent multi projects, debug histories, shell histories, unittest histories, VCS histories, private data of plugins)

Return Type:
  tuple of bool

Up